Items - Update Eventstream
Updates the properties of the specified eventstream.
Permissions
The caller must have read and write permissions for the eventstream.
Required Delegated Scopes
Eventstream.ReadWrite.All or Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
PATCH https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/eventstreams/{eventstreamId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
eventstream
|
path | True |
string (uuid) |
The eventstream ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
Request Body
| Name | Type | Description |
|---|---|---|
| description |
string |
The eventstream description. Maximum length is 256 characters. |
| displayName |
string |
The eventstream display name. The display name must follow naming rules according to item type. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Update an eventstream example
Sample request
PATCH https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/eventstreams/5b218778-e7a5-4d73-8187-f10824047715
{
"displayName": "Eventstream_New_Name",
"description": "A new description for eventstream."
}
Sample response
{
"displayName": "Eventstream_New_Name",
"description": "A new description for eventstream.",
"type": "Eventstream",
"workspaceId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229",
"id": "5b218778-e7a5-4d73-8187-f10824047715",
"sensitivityLabel": {
"id": "b7b4f4d9-3f0d-4b3e-8f3d-4f6d3f4f3f4f"
}
}
Definitions
| Name | Description |
|---|---|
|
Entire |
Represents a tenant principal |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
| Eventstream |
An eventstream object. |
|
Group |
Group specific details. Applicable when the principal type is |
|
Group |
Represents a security group. |
|
Group |
The type of the group. Additional group types may be added over time. |
|
Item |
Represents a tag applied on an item. |
|
Item |
The type of the item. Additional item types may be added over time. |
|
Principal |
The type of the principal. Additional principal types may be added over time. |
|
Sensitivity |
Represents a sensitivity label applied to an item. |
|
Service |
Service principal specific details. Applicable when the principal type is |
|
Service |
Represents a Microsoft Entra service principal. |
|
Service |
Service principal profile details. Applicable when the principal type is |
|
Service |
Represents a service principal profile. |
|
Update |
Update eventstream request. |
|
User |
User principal specific details. Applicable when the principal type is |
|
User |
Represents a Microsoft Entra user principal. |
EntireTenantPrincipal
Represents a tenant principal
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Entire |
The type of the principal. Additional principal types may be added over time. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
Eventstream
An eventstream object.
| Name | Type | Description |
|---|---|---|
| defaultIdentity | Principal: |
The item's default identity. |
| description |
string |
The item description. |
| displayName |
string |
The item display name. |
| folderId |
string (uuid) |
The folder ID. |
| id |
string (uuid) |
The item ID. |
| sensitivityLabel |
The item sensitivity label. |
|
| tags |
Item |
List of applied tags. |
| type |
The item type. |
|
| workspaceId |
string (uuid) |
The workspace ID. |
GroupDetails
Group specific details. Applicable when the principal type is Group.
| Name | Type | Description |
|---|---|---|
| groupType |
The type of the group. Additional group types may be added over time. |
GroupPrincipal
Represents a security group.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| groupDetails |
Group specific details. Applicable when the principal type is |
|
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Group |
The type of the principal. Additional principal types may be added over time. |
GroupType
The type of the group. Additional group types may be added over time.
| Value | Description |
|---|---|
| Unknown |
Principal group type is unknown. |
| SecurityGroup |
Principal is a security group. |
| DistributionList |
Principal is a distribution list. |
ItemTag
Represents a tag applied on an item.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The name of the tag. |
| id |
string (uuid) |
The tag ID. |
ItemType
The type of the item. Additional item types may be added over time.
| Value | Description |
|---|---|
| Dashboard |
PowerBI dashboard. |
| Report |
PowerBI report. |
| SemanticModel |
PowerBI semantic model. |
| PaginatedReport |
PowerBI paginated report. |
| Datamart |
PowerBI datamart. |
| Lakehouse |
A lakehouse. |
| Eventhouse |
An eventhouse. |
| Environment |
An environment. |
| KQLDatabase |
A KQL database. |
| KQLQueryset |
A KQL queryset. |
| KQLDashboard |
A KQL dashboard. |
| DataPipeline |
A data pipeline. |
| Notebook |
A notebook. |
| SparkJobDefinition |
A spark job definition. |
| MLExperiment |
A machine learning experiment. |
| MLModel |
A machine learning model. |
| Warehouse |
A warehouse. |
| Eventstream |
An eventstream. |
| SQLEndpoint |
An SQL endpoint. |
| MirroredWarehouse |
A mirrored warehouse. |
| MirroredDatabase |
A mirrored database. |
| Reflex |
A Reflex. |
| GraphQLApi |
An API for GraphQL item. |
| MountedDataFactory |
A MountedDataFactory. |
| SQLDatabase |
A SQLDatabase. |
| CopyJob |
A Copy job. |
| VariableLibrary |
A VariableLibrary. |
| Dataflow |
A Dataflow. |
| ApacheAirflowJob |
An ApacheAirflowJob. |
| WarehouseSnapshot |
A Warehouse snapshot. |
| DigitalTwinBuilder |
A DigitalTwinBuilder. |
| DigitalTwinBuilderFlow |
A Digital Twin Builder Flow. |
| MirroredAzureDatabricksCatalog |
A mirrored azure databricks catalog. |
| Map |
A Map. |
| AnomalyDetector |
An Anomaly Detector. |
| UserDataFunction |
A User Data Function. |
| GraphModel |
A GraphModel. |
| GraphQuerySet |
A Graph QuerySet. |
| SnowflakeDatabase |
A Snowflake Database to store Iceberg tables created from Snowflake account. |
| OperationsAgent |
A OperationsAgent. |
| CosmosDBDatabase |
A Cosmos DB Database. |
| Ontology |
An Ontology. |
| EventSchemaSet |
An EventSchemaSet. |
| DataAgent |
A DataAgent. |
PrincipalType
The type of the principal. Additional principal types may be added over time.
| Value | Description |
|---|---|
| User |
Principal is a Microsoft Entra user principal. |
| ServicePrincipal |
Principal is a Microsoft Entra service principal. |
| Group |
Principal is a security group. |
| ServicePrincipalProfile |
Principal is a service principal profile. |
| EntireTenant |
Principal represents all tenant users. |
SensitivityLabel
Represents a sensitivity label applied to an item.
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
The sensitivity label ID. |
ServicePrincipalDetails
Service principal specific details. Applicable when the principal type is ServicePrincipal.
| Name | Type | Description |
|---|---|---|
| aadAppId |
string (uuid) |
The service principal's Microsoft Entra AppId. |
ServicePrincipalPrincipal
Represents a Microsoft Entra service principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalDetails |
Service principal specific details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
ServicePrincipalProfileDetails
Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.
| Name | Type | Description |
|---|---|---|
| parentPrincipal | Principal: |
The service principal profile's parent principal. |
ServicePrincipalProfilePrincipal
Represents a service principal profile.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalProfileDetails |
Service principal profile details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
UpdateEventstreamRequest
Update eventstream request.
| Name | Type | Description |
|---|---|---|
| description |
string |
The eventstream description. Maximum length is 256 characters. |
| displayName |
string |
The eventstream display name. The display name must follow naming rules according to item type. |
UserDetails
User principal specific details. Applicable when the principal type is User.
| Name | Type | Description |
|---|---|---|
| userPrincipalName |
string |
The user principal name. |
UserPrincipal
Represents a Microsoft Entra user principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
User |
The type of the principal. Additional principal types may be added over time. |
| userDetails |
User principal specific details. Applicable when the principal type is |